XI(3)

PACKAGE
xi - Routines to manipulate XImage structures

PURPOSE
These routines are meant to provide a more generic interface to the X Windows System XImage structures. These routines allow simple creation of standard and shared-memory XImage data structures, as well as the transmission of these to the X server.

LIBRARY
karmaX11

LINK WITH
-lkarmaX11

FUNCTIONS

xi_check_shared_images_available
    Test if shared memory XImages may be use with an X server.

xi_create_image
    Create an XImage structure for a window.

xi_create_shm_image
    Create a shared-memory XImage structure.

xi_destroy_image
    Destroy all the memory allocated for an XImage structure.

xi_put_image
    Write an XImage structure to a drawable.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/